---
schema_version: "1"
id: 7f273143a7a1f62a6ea7b317bd8da3808b0bdc226fd5f40855d0a3e1af596b3d
title: TMF632 v4 Party Management (Outbound)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/comms/references/generated-api-specs/tmf632.md
canonical_url: https://developer.salesforce.com/docs/industries/communications/references/tmf632
source_site: developer.salesforce.com
content_type: documentation
content_hash: ca7a0361a578f63a6ce2917c31b309d54838795032e7cc53ced00abcd22236c1
products:
  - Communications Cloud TM Forum API
  - Industries Integrations
---
TMF632 v4 Party Management (Outbound)

# TMF632 v4 Party Management (Outbound)

The party API provides standardized mechanism for party management such as creation, update, retrieval, deletion and notification of events. Party can be an individual or an organization that has any kind of relation with the enterprise. This implementation focuses on the Individual resource, which represents a single human being. The Individual can be a customer, an employee or any other person that the organization needs to store information about.

Protocols: https.

## Security

*   `clientIdEnforcement` (x-client-id-enforcement) Apply Client ID Enforcement policy to resource methods for authenticating API requests
    *   Header client\_id: Client Id to be passed for authenticating the API
    *   Header client\_secret: Client Secret to be passed for authenticating the API

## /notification

Notification endpoints for Individual events on Contact object.

## Operations

### POST Individual Contact Creation Event Notification

`POST /notification/individualCreateEvent`

Security: clientIdEnforcement.

Client listener for receiving IndividualCreateEvent notifications. This endpoint handles notifications when new individuals (contacts) are created in the system.

#### Parameters

*   `contactToMultipleAccountsEnabled` (query, boolean) Flag to filter events based on whether a contact is associated with multiple accounts  
    Default: `false`.

#### Request body

Media type: `application/json`. Schema: `array of object`.

Array of notification event entries from Salesforce

Array of `object`.

Each item: Individual notification event from Salesforce

Individual notification event from Salesforce

*   `entityId` (_string_) The unique identifier of the Salesforce entity (e.g., Contact record ID)  
    Example: `003LT0000038MODYA2`.
*   `entityName` (_string_) The name of the Salesforce object type  
    Example: `Contact`.
*   `eventId` (_string_) Unique identifier for this specific event  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b774-1`.
*   `commitTimestamp` (_number_) Timestamp when the change was committed in Unix timestamp format (milliseconds)  
    Example: `1739268701178`.
*   `commitNumber` (_number_) Sequential number of the commit operation  
    Example: `1750781490623881200`.
*   `correlationId` (_string_) Identifier that correlates related events that occurred as part of the same transaction  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b77`.
*   `changeEventType` (_string_) Type of change that triggered the event  
    Example: `Create`.
*   `enrichedFields` (_object_)
*   `changedFields` (_object_)

_Example_

```
[
    {
      "entityId": "003LT0000038MODYA2",
      "entityName": "Contact",
      "eventId": "0001ade9-3f74-0b99-dbc4-42e73424b774-1",
      "commitTimestamp": 1739268701178,
      "commitNumber": 1750781490623881200,
      "correlationId": "0001ade9-3f74-0b99-dbc4-42e73424b77",
      "changeEventType": "Create",
      "enrichedFields": {},
      "changedFields": {
        "Header_Field_1__c" : "New Value",
        "Header_Field_2__c" : 123.45
        }
    }
]
```

#### Responses

*   **207** Individual creation event successfully processed
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of notification processing results
    
    Array of `object`.
    
    Each item: Represents the result of processing a single notification event
    
    Represents the result of processing a single notification event
    
    *   `entityId` (_string_) The unique identifier of the entity (Contact) that was processed  
        Example: `003LT000002tUnYYAU`.
    *   `message` (_string_) A descriptive message about the processing outcome  
        Example: `Event Posted Successfully`.
    
    _Example_
    
    ```
    [
      {
        "entityId": "003LT000002tUnYYAU",
        "message": "Event Posted Successfully"
      },
      {
        "entityId": "003LT0000038MODYA2",
        "message": "Event Posted Successfully"
      }
    ]
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.

### POST Individual Contact Attribute Change Event Notification

`POST /notification/individualAttributeValueChangeEvent`

Security: clientIdEnforcement.

Client listener for receiving IndividualAttributeValueChangeEvent notifications. This endpoint handles notifications when individual (contact) attributes are modified.

#### Parameters

*   `contactToMultipleAccountsEnabled` (query, boolean) Flag to filter events based on whether a contact is associated with multiple accounts.  
    Default: `false`.

#### Request body

Media type: `application/json`. Schema: `array of object`.

Array of notification event entries from Salesforce

Array of `object`.

Each item: Individual notification event from Salesforce

Individual notification event from Salesforce

*   `entityId` (_string_) The unique identifier of the Salesforce entity (e.g., Contact record ID)  
    Example: `003LT0000038MODYA2`.
*   `entityName` (_string_) The name of the Salesforce object type  
    Example: `Contact`.
*   `eventId` (_string_) Unique identifier for this specific event  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b774-1`.
*   `commitTimestamp` (_number_) Timestamp when the change was committed in Unix timestamp format (milliseconds)  
    Example: `1739268701178`.
*   `commitNumber` (_number_) Sequential number of the commit operation  
    Example: `1750781490623881200`.
*   `correlationId` (_string_) Identifier that correlates related events that occurred as part of the same transaction  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b77`.
*   `changeEventType` (_string_) Type of change that triggered the event  
    Example: `Delete`.
*   `enrichedFields` (_object_)
*   `changedFields` (_object_)

_Example_

```
[
    {
      "entityId": "003LT0000038MODYA2",
      "entityName": "Contact",
      "eventId": "0001ade9-3f74-0b99-dbc4-42e73424b774-1",
      "commitTimestamp": 1739268701178,
      "commitNumber": 1750781490623881200,
      "correlationId": "0001ade9-3f74-0b99-dbc4-42e73424b77",
      "changeEventType": "Delete",
      "enrichedFields": {},
      "changedFields": {
        "Header_Field_1__c" : "New Value",
        "Header_Field_2__c" : 123.45
        }
    }
]
```

#### Responses

*   **207** Individual attribute change event successfully processed
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of notification processing results
    
    Array of `object`.
    
    Each item: Represents the result of processing a single notification event
    
    Represents the result of processing a single notification event
    
    *   `entityId` (_string_) The unique identifier of the entity (Contact) that was processed  
        Example: `003LT000002tUnYYAU`.
    *   `message` (_string_) A descriptive message about the processing outcome  
        Example: `Event Posted Successfully`.
    
    _Example_
    
    ```
    [
      {
        "entityId": "003LT000002tUnYYAU",
        "message": "Event Posted Successfully"
      },
      {
        "entityId": "003LT0000038MODYA2",
        "message": "Event Posted Successfully"
      }
    ]
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.

### POST Individual Contact State Change Event Notification

`POST /notification/individualStateChangeEvent`

Security: clientIdEnforcement.

Client listener for receiving IndividualStateChangeEvent notifications. This endpoint handles notifications when individual (contact) state transitions occur.

#### Parameters

*   `contactToMultipleAccountsEnabled` (query, boolean) Flag to filter events based on whether a contact is associated with multiple accounts  
    Default: `false`.

#### Request body

Media type: `application/json`. Schema: `array of object`.

Array of notification event entries from Salesforce

Array of `object`.

Each item: Individual notification event from Salesforce

Individual notification event from Salesforce

*   `entityId` (_string_) The unique identifier of the Salesforce entity (e.g., Contact record ID)  
    Example: `003LT0000038MODYA2`.
*   `entityName` (_string_) The name of the Salesforce object type  
    Example: `Contact`.
*   `eventId` (_string_) Unique identifier for this specific event  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b774-1`.
*   `commitTimestamp` (_number_) Timestamp when the change was committed in Unix timestamp format (milliseconds)  
    Example: `1739268701178`.
*   `commitNumber` (_number_) Sequential number of the commit operation  
    Example: `1750781490623881200`.
*   `correlationId` (_string_) Identifier that correlates related events that occurred as part of the same transaction  
    Example: `0001ade9-3f74-0b99-dbc4-42e73424b77`.
*   `changeEventType` (_string_) Type of change that triggered the event  
    Example: `Update`.
*   `enrichedFields` (_object_)
*   `changedFields` (_object_)

_Example_

```
[
    {
      "entityId": "003LT0000038MODYA2",
      "entityName": "Contact",
      "eventId": "0001ade9-3f74-0b99-dbc4-42e73424b774-1",
      "commitTimestamp": 1739268701178,
      "commitNumber": 1750781490623881200,
      "correlationId": "0001ade9-3f74-0b99-dbc4-42e73424b77",
      "changeEventType": "Update",
      "enrichedFields": {},
      "changedFields": {
        "Header_Field_1__c" : "New Value",
        "Header_Field_2__c" : 123.45
        }
    }
]
```

#### Responses

*   **207** Individual state change event successfully processed.
    
    Media type: `application/json`. Schema: `array of object`.
    
    Array of notification processing results
    
    Array of `object`.
    
    Each item: Represents the result of processing a single notification event
    
    Represents the result of processing a single notification event
    
    *   `entityId` (_string_) The unique identifier of the entity (Contact) that was processed  
        Example: `003LT000002tUnYYAU`.
    *   `message` (_string_) A descriptive message about the processing outcome  
        Example: `Event Posted Successfully`.
    
    _Example_
    
    ```
    [
      {
        "entityId": "003LT000002tUnYYAU",
        "message": "Event Posted Successfully"
      },
      {
        "entityId": "003LT0000038MODYA2",
        "message": "Event Posted Successfully"
      }
    ]
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **200**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.
*   **201**
    
    Headers:
    
    *   `X-Ratelimit-Remaining` (number, required) The amount of available quota  
        Example: `5`.
    *   `X-Ratelimit-Limit` (number, required) The maximum available requests per window  
        Example: `10`.
    *   `X-Ratelimit-Reset` (number, required) The remaining time, in milliseconds, until a new window starts  
        Example: `3000`.